/* Experimenteller Webserver 0.2 (c) 2003 by Dennis Schwerdel
 * Dieses Programm ist freie Software, es kann nur im Rahmen der
 * GNU General Public License (GPL) Version 2 oder neuer verwendet werden.
 * -> Siehe license.txt
 */


package server ;

import java.io.DataInputStream;
import java.io.InputStreamReader;
import java.io.BufferedReader;
import java.net.Socket;

public abstract class RequestThread extends ConnectionThread {

  public RequestThread () {
    super () ;
  }

  public RequestThread ( Socket socket ) {
    super ( socket ) ;
  }

  protected void handleConnection () throws Exception {
    BufferedReader in = new BufferedReader ( this.in ) ;
    String request = "" ;
    try {
      String s ;
      do {
        s = in.readLine () ;
        request += s + "\n" ;
      } while ( ! s.equals ( "" ) ) ;
    } catch ( Exception e ) {}
    //System.out.println ( request ) ;
    handleRequest ( request ) ;
  }

  protected abstract void handleRequest ( String request ) throws Exception ;

}
