/* Experimenteller Webserver 0.2 (c) 2003 by Dennis Schwerdel
 * Dieses Programm ist freie Software, es kann nur im Rahmen der
 * GNU General Public License (GPL) Version 2 oder neuer verwendet werden.
 * -> Siehe license.txt
 */

package server.httpd ;

import server.SSLPortThread ;

import java.net.ServerSocket;
import java.net.Socket;
import java.net.BindException;

public class HttpsPortThread extends SSLPortThread {

  HttpSettings settings ;

  public HttpsPortThread ( HttpSettings settings ) throws Exception {
    super ( settings.port, settings.ssl_keystore, settings.ssl_passwd, null ) ;
    this.settings = settings ;
  }

  protected void onConnect ( Socket socket ) throws Exception {
    new HttpRequestThread ( socket, settings ).start () ;
  }

}
