/* Experimenteller Webserver 0.2 (c) 2003 by Dennis Schwerdel
 * Dieses Programm ist freie Software, es kann nur im Rahmen der
 * GNU General Public License (GPL) Version 2 oder neuer verwendet werden.
 * -> Siehe license.txt
 */


package server.httpd ;

import server.PortThread ;

import java.net.ServerSocket;
import java.net.Socket;
import java.net.BindException;

public class HttpPortThread extends PortThread {

  HttpSettings settings ;

  public HttpPortThread ( HttpSettings settings ) throws Exception {
    super ( settings.port ) ;
    this.settings = settings ;
  }

  protected void onConnect ( Socket socket ) throws Exception {
    new HttpRequestThread ( socket, settings ).start () ;
  }

}
